package com.sqx.modules.timedtask.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.timedtask.entity.RiderLocation;

public interface RiderLocationService extends IService<RiderLocation> {

    Result riderLocation(Long userId, Double lng, Double lat, String province, String city, String district);

    Result selectRiderLocation(Long riderUserId, Double lng, Double lat);

    Result selectAllRiderLocation(String province, String city, String district);

}
